Bug 6028 - compiling fails on Fedora 10 x86_84 for 3.0.33
compiling fails on Fedora 10 x86_84 for 3.0.33
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.32
Other Windows XP
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 09:09 UTC by Adam Williams
Modified: 2009-06-11 17:13 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Williams 2009-01-13 09:09:14 UTC
run samba-3.0.33/packaging/RHEL/makerpms.sh on Fedora 10 x86_64 and get the following error:

[root@roark RHEL]# sh makerpms.sh
Supported RPM version [4.6.0-rc3]
~/samba-3.0.33/packaging/RHEL ~/samba-3.0.33/packaging/RHEL
~/samba-3.0.33/packaging/RHEL
~/samba-3.0.33/packaging/RHEL ~/samba-3.0.33/packaging/RHEL
Creating samba-3.0.33.tar.bz2 ... Done.
~/samba-3.0.33/packaging/RHEL
setup/
setup/swat
setup/samba.sysconfig
setup/filter-requires-samba.sh
setup/smb.init
setup/smb.conf
setup/smbprint
setup/swat.desktop
setup/samba.pamd
setup/samba.log
setup/winbind.init
setup/smbusers
makerpms.sh: Getting Ready to build release package
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.ovmCQG
+ umask 022
+ cd /root/rpmbuild/BUILD
+ cd /root/rpmbuild/BUILD
+ rm -rf samba-3.0.33
+ /usr/bin/bzip2 -dc /root/rpmbuild/SOURCES/samba-3.0.33.tar.bz2
+ /bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd samba-3.0.33
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ cd /root/rpmbuild/BUILD
+ cd samba-3.0.33
+ /usr/bin/bzip2 -dc /root/rpmbuild/SOURCES/setup.tar.bz2
+ /bin/tar -xvvf -
drwxr-xr-x root/root         0 2008-11-18 09:37 setup/
-rw-r--r-- root/root       363 2008-11-18 09:37 setup/swat
-rw-r--r-- root/root       111 2008-11-18 09:37 setup/samba.sysconfig
-rwxr-xr-x root/root       100 2008-11-18 09:37 setup/filter-requires-samba.sh
-rw-r--r-- root/root      2445 2008-11-18 09:37 setup/smb.init
-rw-r--r-- root/root      9684 2008-11-18 09:37 setup/smb.conf
-rw-r--r-- root/root      2295 2008-11-18 09:37 setup/smbprint
-rw-r--r-- root/root       259 2008-11-18 09:37 setup/swat.desktop
-rw-r--r-- root/root       201 2008-11-18 09:37 setup/samba.pamd
-rw-r--r-- root/root       280 2008-11-18 09:37 setup/samba.log
-rw-r--r-- root/root      1586 2008-11-18 09:37 setup/winbind.init
-rw-r--r-- root/root        97 2008-11-18 09:37 setup/smbusers
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.KnmMIY
+ umask 022
+ cd /root/rpmbuild/BUILD
+ cd samba-3.0.33
+ /bin/cp setup/filter-requires-samba.sh /root/rpmbuild/SOURCES/filter-requires-samba.sh
+ cd source
+ CC=gcc
+ ./autogen.sh
/usr/bin/autoconf: line 519: echo: write error: Broken pipe
./autogen.sh: running script/mkversion.sh
./script/mkversion.sh: 'include/version.h' created for Samba("3.0.33")
./autogen.sh: running autoheader -I. -Ilib/replace
configure.in:341: error: AC_REQUIRE: circular dependency of AC_AIX
lib/replace/autoconf-2.60.m4:182: AC_USE_SYSTEM_EXTENSIONS is expanded from...
../../lib/autoconf/specific.m4:454: AC_AIX is expanded from...
lib/replace/autoconf-2.60.m4:182: AC_USE_SYSTEM_EXTENSIONS is expanded from...
configure.in:341: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
autoheader: '/usr/bin/autom4te' failed with exit status: 1
error: Bad exit status from /var/tmp/rpm-tmp.KnmMIY (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.KnmMIY (%build)
makerpms.sh: Done.
[root@roark RHEL]#
Comment 1 Guenther Deschner 2009-06-11 17:13:49 UTC
Fixed in 3.0.34.